#cs ----------------------------------------------------------------------------

 AutoIt Version: 3.3.14.5
 Author:         Jon Grah, AwarenessForex.com

 Script Function:
	Alternate method to run NewsDownloader 4.12 unattended + merge news.csv with news_archive.csv
	For some reason, the silent method has bugs (no merging, incorrect parsing of quotes, etc).  See:
	https://www.forexfactory.com/showthread.php?p=11832110#post11832110 ;
	Running in GUI mode somehow all functions work.  So let's automate the GUI mode, which essentially simulates a silent run without the bugs.

	Note: remove "A" from "Weeks_or_months=7wA" in NewsDownloader.ini so that GUI appears ("Weeks_or_months=7w"

#ce ----------------------------------------------------------------------------

Local $sNewsDLWindowTitle = "Download news from Forex Factory calendar"
   ;check first if News Downloader.exe is already running
If WinExists($sNewsDLWindowTitle) Then
	  ; focus the window so we can use it
   WinActivate($sNewsDLWindowTitle)
   WinWaitActive($sNewsDLWindowTitle) ;wait for the window to be loaded and active
   ;Sleep(300)
	  ; Automate starting the download
   ControlClick($sNewsDLWindowTitle, "", "[CLASS:Button; TEXT:OK]") ; Click OK button
   WinWaitClose($sNewsDLWindowTitle, "", 61); wait for the download/merge to complete
Else
	  ; launch News Downloader
   Run("News Downloader.exe") ;run the "News Downloader.exe"
   WinWaitActive($sNewsDLWindowTitle) ;wait for the window to be loaded and active
   ;Sleep(300)
	  ; Automate starting the download
   ControlClick($sNewsDLWindowTitle, "", "[CLASS:Button; TEXT:OK]") ; Click OK button
   WinWaitClose($sNewsDLWindowTitle, "", 61); wait for the download/merge to complete

EndIf
